# Claims ## Add a Claim - [POST /add/CL](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/claims/post-add-cl.md): Adds a Claim without any data and items. Use the update/CL (Update a Claim) to add the data (e.g., uploaded file) to the Claim. ## List Claims - [POST /fetch/CL](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/claims/post-fetch-cl.md): Retrieves a list of Claims. A filter can be applied (for example, to retrieve a particular Claim with the specified name). --- Required Permission| Roles with the Required Permission | ---------|----------| CLAIM_FETCH | Investigate for Support (SUPPORT), Administer Plasma (PLASMA), Manage Claims (CLM_CLAIMMANAGER), Use Claims (CLM_CLAIM) ## Update a Claim - [POST /update/CL](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/claims/post-update-cl.md): Updates the Claim object. ## Calculate a Claim - [POST /claimmanager.calculate/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/claims/post-claimmanager.calculate-typecode.md): Calculates a Claim (runs the validation logic on all items. Creates a calculation job (JST). It does not read the data from the uploaded Excel file again but works with the (potentially edited) data that are already loaded in the system. You can also send items within the request body (no Excel file needed) – see the request example (calculateClaimRequestExample) for the request body structure. ## Cancel a Calculation - [POST /claimmanager.cancel/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/claims/post-claimmanager.cancel-typecode.md): Cancels the Claim calculation job. ## List Items - [POST /claimmanager.fetchitems/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/claims/post-claimmanager-typecode.md): Retrieves all items of the specified Claim. ## Validate Items - [POST /claimmanager.validateitems/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/claims/post-claimmanager.validateitems-typedid.md): Validates specified items of the Claim. ## Reject Items - [POST /claimmanager.rejectitems/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/claims/post-claimmanager.rejectitems-typedid.md): Rejects specified items of the Claim. ## Get a Summary - [POST /claimmanager.summary/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/claims/post-claimmanager.summary-typedid.md): Retrieves a summary of validated/rejected items. ## Remove Items - [POST /claimmanager.clearitems/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/claims/post-claimmanager.clearitems-typedid.md): Deletes all items from the Claim. ## Submit a Claim - [POST /claimmanager.submit/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/claims/post-claimmanager.submit-typedid.md): Submits the specified Claim.